summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBenjamin Dauvergne <bdauvergne@entrouvert.com>2019-01-24 15:40:27 (GMT)
committerBenjamin Dauvergne <bdauvergne@entrouvert.com>2019-01-24 15:41:47 (GMT)
commit0ce876f8bbf6976c94cbae02c20911b2bc1da518 (patch)
tree7852fc3fe9c8bfe95724cf52c8f9c79110249d10
parent7d517113d77810c55954cb85ba7b35ab59ba2bfb (diff)
downloadauthentic2-cut-0ce876f8bbf6976c94cbae02c20911b2bc1da518.zip
authentic2-cut-0ce876f8bbf6976c94cbae02c20911b2bc1da518.tar.gz
authentic2-cut-0ce876f8bbf6976c94cbae02c20911b2bc1da518.tar.bz2
tox.ini: add pylint run (#30079)
-rwxr-xr-xpylint.sh13
-rw-r--r--tox.ini1
2 files changed, 14 insertions, 0 deletions
diff --git a/pylint.sh b/pylint.sh
new file mode 100755
index 0000000..d7295cc
--- /dev/null
+++ b/pylint.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e -x
+env
+if [ -f /var/lib/jenkins/pylint.django.rc ]; then
+ PYLINT_RC=/var/lib/jenkins/pylint.django.rc
+elif [ -f pylint.django.rc ]; then
+ PYLINT_RC=pylint.django.rc
+else
+ echo No pylint RC found
+ exit 0
+fi
+pylint -f parseable --rcfile ${PYLINT_RC} "$@" | tee pylint.out || /bin/true
diff --git a/tox.ini b/tox.ini
index 6e58d03..8076b0b 100644
--- a/tox.ini
+++ b/tox.ini
@@ -45,4 +45,5 @@ deps =
http://git.entrouvert.org/authentic2-auth-fc.git/snapshot/authentic2-auth-fc-master.tar.gz
commands =
./getlasso.sh
+ dj18: ./pylint.sh src/authentic2_cut
py.test {env:FAST:} {env:COVERAGE:} {posargs:tests/}